Create a new data export job. The export will be processed asynchronously and the download URL will be available when status is ‘completed’. Export links expire after 24 hours.
curl --request POST \
--url https://api.zavu.dev/v1/exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataTypes": [
"messages",
"conversations"
],
"dateFrom": "2024-01-01T00:00:00Z",
"dateTo": "2024-12-31T23:59:59Z"
}
'{
"export": {
"id": "exp_abc123",
"dataTypes": [],
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"dateFrom": "2023-11-07T05:31:56Z",
"dateTo": "2023-11-07T05:31:56Z",
"downloadUrl": "<string>",
"fileSize": 123,
"errorMessage": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.zavu.dev/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
List of data types to include in the export.
1Types of data that can be exported.
messages, conversations, webhookDeliveries, agentExecutions, activities Start date for data to export (inclusive).
End date for data to export (inclusive).
Export job created.
Show child attributes
curl --request POST \
--url https://api.zavu.dev/v1/exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataTypes": [
"messages",
"conversations"
],
"dateFrom": "2024-01-01T00:00:00Z",
"dateTo": "2024-12-31T23:59:59Z"
}
'{
"export": {
"id": "exp_abc123",
"dataTypes": [],
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"dateFrom": "2023-11-07T05:31:56Z",
"dateTo": "2023-11-07T05:31:56Z",
"downloadUrl": "<string>",
"fileSize": 123,
"errorMessage": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}
}